IAcSmProjectPointLocations


The Sheet ProjectPointLocations interface.

available methods :

(setq cad (vlax-get-acad-object))
(setq doc (vla-get-ActiveDocument cad))
(setq ssmgr (vla-GetInterfaceObject cad "BricscadSm.AcSmSheetSetMgr"))
(setq smdb (vlax-invoke-method ssmgr 'OpenDatabase dstfile))
(setq iter (vlax-invoke-method smdb 'GetEnumerator))
(setq ppLocations (scanUntilObject iter "AcSmProjectPointLocations"))

Note : "(scanUntilObject)" is a utility function contained in the sample Lisp files in folder "<LDSP>/SheetSetManager-Lisp-API/LISP Sample Code"

GetLocation

returns the IAcSmProjectPointLocation location object for the specified location name

(vlax-invoke-method ppLocations 'GetLocation "NewLocation" 'location)

HRESULT GetLocation ([in] BSTR locationName, [out] IAcSmProjectPointLocation** location)

RemoveLocation

removes the specified IAcSmProjectPointLocation object from this collection

(vlax-invoke-method ppLocations 'RemoveLocation 'ppLoc)

HRESULT RemoveLocation ([in] IAcSmProjectPointLocation* location)

AddNewLocation

adds the specified location to this collection and returns the created IAcSmProjectPointLocation object

(vlax-invoke-method ppLocations 'AddNewLocation "NewLocation" "www.newlocation.org" "c:\\anyfolder" "username" "password" 'ppLoc)

HRESULT AddNewLocation ([in] BSTR name, [in] BSTR url, [in] BSTR folder, [in] BSTR username, [in] BSTR password, [out] IAcSmProjectPointLocation** location)

GetEnumerator

returns an enumerator for the IAcSmEnumProjectPointLocation objects in this collection

(setq iter (vlax-invoke-method ppLocations 'GetEnumerator))

HRESULT GetEnumerator ([out, retval] IAcSmEnumProjectPointLocation** enumerator)



©  Bricsys NV. All rights reserved.